<?php

/**
 * @file
 * Get the Tag sphere block content.
 */

/**
 * This function is used to fetch the terms of particular vocabulary.
 */
function tag_sphere_block_content($vid, $name) {
  $items = array();
  $terms = db_query("SELECT count(tn.nid) count, td.tid, td.name FROM {term_node} tn INNER JOIN {term_data} td ON tn.tid = td.tid WHERE td.vid = %d GROUP BY td.tid ORDER BY count ASC", $vid);

  while ($row = db_fetch_object($terms)) {
    $term_alias = drupal_get_path_alias('taxonomy/term/' . $row->tid);
    $term_name = l(
      t($row->name),
      $term_alias,
        array(
          'attributes' => array(
             'rel' => $row->count,
          ),
        )
    );
    $items[$row->tid] = $term_name;
  }
  return theme_item_list($items, $title = NULL, $type = 'ul', $attributes = 'id');
}
